Kerbal Space Program - Bug #1095

Small lockups when putting a part down
07/24/2013 04:44 PM - whatisthisidonteven

Status: Closed Start date: 07/24/2013
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 0.21.1

Version: 0.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

When you pick up a part with the left mouse button and press the left mouse button to put it down, the game locks up for a short
amount of time, depending on how much parts there are (For example, if you pick up a big rocket and put it down the lockup can last
a couple of seconds longer)

To replicate, simply pick up a part and put it down anywhere.

output_log.txt
http://pastebin.com/05jJ6Sxy

dxdiag.txt
http://pastebin.com/xsNaT2Dt

Animated gif attached.

History

#1 - 07/24/2013 05:21 PM - hoojiwana
- File screenshot0.png added

I'm unable to replicate this even with large vessels. My FPS drops when | pick up huge vessels but there's no lock up at all. Attached picture of the
vessel | was testing with. Also tested with just the pod like in the reporters gif.

Pastebin of KSP_output:
http://pastebin.com/3g2MUjZk

Pastebin of DxDiag:
http://pastebin.com/vBX6vra7

#2 - 07/25/2013 10:29 AM - zxcvb55
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| wasn't getting this before, but it's started to happen now (quite annoying actually). I'm going to play around with this a bit before | copy it over. But
confirmed for now.

#3 - 07/25/2013 11:37 AM - whatisthisidonteven
- File longlockups.gif added

Actually, it would appear that it's the amount of kerbals you have hired from the astronaut complex that determines how long the lockups are. For

example if | just have the default 3 kerbals then there is no lockups, but if | go to the astronaut complex and hire all of the kerbals then the lockups
start. The more kerbals, the longer the lockups. Gif attached (longlockups.gif) is the result of going to the complex and hiring all of the kerbals 5-6

times, as you can see the lockups are much longer.

#4 - 07/25/2013 05:55 PM - Ted
- Status changed from Confirmed to Ready to Test

04/09/2024 12



http://pastebin.com/05jJ6Sxy
http://pastebin.com/xsNqT2Dt
http://pastebin.com/3g2MUjZk
http://pastebin.com/vBX6vra7

- % Done changed from 10 to 80
- Version changed from 0.21 to 0.21.1

#5 - 07/25/2013 06:04 PM - Ted
- Target version set to 0.21.1

- Version changed from 0.21.1 to 0.21

Durr.

#6 - 12/07/2014 11:44 AM - Ted
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Files

QApls.gif 1.41 MB 07/24/2013 whatisthisidonteven
screenshot0.png 1.91 MB 07/24/2013 hoojiwana
longlockups.gif 477 KB 07/25/2013 whatisthisidonteven
